<?php 

function CheckAbilityOfInstallation(){
    return array('Success'=>1);
}

function InstallThisModule(){

    $bytes = @openssl_random_pseudo_bytes(10);
    $api_token = (isset($bytes) ? bin2hex($bytes) : ''); 

    $nc_core = nc_core::get_object();
    $nc_core->set_settings('api_token', $api_token, 'schetmash', 0 );

    return array('Success'=>1);
}
?>